Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class ThreadDeath

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Error
                  |
                  +--java.lang.ThreadDeath

All Implemented Interfaces:
  Serializable

public class ThreadDeath
extends Error

An instance of `ThreadDeath` is thrown in the victim thread when the `stop` method with zero arguments in class `Thread` is called.

An application should catch instances of this class only if it must clean up after being terminated asynchronously. If `ThreadDeath` is caught by a method, it is important that it be rethrown so that the thread actually dies.

The top-level error handler does not print out a message if `ThreadDeath` is never caught.

The class `ThreadDeath` is specifically a subclass of `Error` rather than `Exception`, even though it is a "normal occurrence", because many applications catch all occurrences of `Exception` and then discard the exception.

Since:
  JDK1.0
See Also:
  `Thread.stop()`, Serialized Form

Constructor Summary
`ThreadDeath()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ThreadDeath

    public ThreadDeath()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.